gnutls_x509_crq_set_extension_by_oid(3)

NAME
gnutls_x509_crq_set_extension_by_oid - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crq_set_extension_by_oid(gnutls_x509_crq_t crq, const char * oid, const void * buf, size_t sizeof_buf, unsigned int critical);

ARGUMENTS

gnutls_x509_crq_t crq
    a certificate of type gnutls_x509_crq_t

const char * oid
    holds an Object Identifier in null terminated string

const void * buf
    a pointer to a DER encoded data

size_t sizeof_buf
    holds the size of buf

unsigned int critical
    should be non-zero if the extension is to be marked as critical

DESCRIPTION
This function will set an the extension, by the specified OID, in the certificate request. The extension data should be binary data DER encoded.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2017 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/